Bug 63479 - RFE. CCache for RH.
RFE. CCache for RH.
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: distribution (Show other bugs)
3.0
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Bill Nottingham
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-04-14 10:26 EDT by Ali-Reza Anghaie
Modified: 2014-03-16 22:26 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-02 14:20:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ali-Reza Anghaie 2002-04-14 10:26:14 EDT
Description of Problem:

RFE. Include Compiler Cache / CCache in RH. I think this is an extremely useful
tool and has proven reliable in compiling packages as big as X and KDE. Although
I'd be hesitant to install it, across all of RH, as the default. So I'd leave it
such that people could create the links themselves or set the environment variables.

Come to think of it, CCache might be a good addition as things like precompiled
headers make it into GCC. Regards, -Ali


Additional Information:

http://ccache.samba.org/
Comment 1 Peter Bowen 2002-04-14 14:57:45 EDT
I was trying ccache today, and Tridge has done a great job with it.  I think
that it definately should be included in RHL in the future.
Comment 2 Nathan G. Grennan 2002-04-18 13:48:10 EDT
I could love to see ccache become a part of RedHat.
Comment 3 Karsten Hopp 2002-08-05 08:36:08 EDT
a source package is available here: 
http://people.redhat.com/karsten/ccache-1.9-2.src.rpm
Comment 4 Bill Nottingham 2005-03-02 14:20:31 EST
I do not think this will be added to RHEL 3 at this time.

Currently ccache is part of Fedora Extras.

Note You need to log in before you can comment on or make changes to this bug.